Bug 337756 - Crash of akonadi_imap_resource trying to make connection to courier imap server on local system
Summary: Crash of akonadi_imap_resource trying to make connection to courier imap serv...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: GIT (master)
Platform: OpenSUSE Linux
: HI crash (vote)
Target Milestone: ---
Assignee: Christian Mollekopf
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 07:19 UTC by Freek de Kruijf
Modified: 2014-08-29 12:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Saved crash report with backtrace (2.01 KB, text/plain)
2014-07-24 07:19 UTC, Freek de Kruijf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Freek de Kruijf 2014-07-24 07:19:57 UTC
Created attachment 87928 [details]
Saved crash report with backtrace

-- Information about the crash:
- What I was doing when the application crashed:
Started kontact after upgrading to the current version of KDE.

Apparently making the connection with GMail.com went OK.
Comment 1 Freek de Kruijf 2014-08-07 20:51:14 UTC
I am now using KMail 4.14 beta1.
Now connecting the courier IMAP server does not crash the IMAP resource any longer. However I do see the folder but nothing is shown in the folder. There are messages in that folder, but I can't see them.
In the system I see three akonadi_imap_resources, one to gmail and two to courier imap servers. The one to gmail has two TCP connections to the imap server.
One to the courier imap server also has two TCP connections. The other has only one. So in total I see 5 established TCP connections to port 993.
Comment 2 Freek de Kruijf 2014-08-12 11:13:32 UTC
Application: akonadi_imap_resource (4.13)
KDE Platform Version: 4.13.80
Qt Version: 4.8.6
Operating System: Linux 3.16.0-rc7-2-desktop x86_64
Distribution: "openSUSE 20140807 (Harlequin) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I pressed the Restart Application in DrKonqi bug reporting

-- Backtrace:
Application: IMAP-eik van type IMAP E-Mail Server (akonadi_imap_resource), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
To enable execution of this file add
	add-auto-load-safe-path /usr/lib64/libstdc++.so.6.0.19-gdb.py
line to your configuration file "/home/freek/.gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "/home/freek/.gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the shell:
	info "(gdb)Auto-loading safe path"
[KCrash Handler]
#5  0x0000000000450a44 in SessionPool::cancelPasswordRequests (this=<optimized out>) at /usr/src/debug/kdepim-runtime-4.13.80/resources/imap/sessionpool.cpp:71
#6  0x00000000004321f7 in ImapResourceBase::doSetOnline (this=0x178c2c0, online=<optimized out>) at /usr/src/debug/kdepim-runtime-4.13.80/resources/imap/imapresourcebase.cpp:554
#7  0x00007ff77f8ec6b1 in Akonadi::AgentBase::setOnlineInternal (this=0x178c2c0, state=false) at /usr/src/debug/kdepimlibs-4.13.80/akonadi/agentbase.cpp:965
#8  0x000000000042a934 in ImapResourceBase::ImapResourceBase (this=0x178c2c0, id=...) at /usr/src/debug/kdepim-runtime-4.13.80/resources/imap/imapresourcebase.cpp:145
#9  0x000000000041a2a0 in ImapResource::ImapResource (this=0x178c2c0, id=...) at /usr/src/debug/kdepim-runtime-4.13.80/resources/imap/imapresource.cpp:37
#10 0x000000000041a03a in Akonadi::ResourceBase::init<ImapResource> (argc=<optimized out>, argv=<optimized out>) at /usr/include/akonadi/resourcebase.h:184
#11 0x00007ff77b77cb05 in __libc_start_main () from /lib64/libc.so.6
#12 0x0000000000419f14 in _start () at ../sysdeps/x86_64/start.S:122
Comment 3 Freek de Kruijf 2014-08-29 12:21:33 UTC
KDE 4.14.0 does not have this bug anymore.